The following is a list of Ireland women's national rugby union team matches
Overall Ireland's overall international match record against all nations, updated to 14 September 2025, is as follows: Games PlayedWonDrawnLostWin %Total217891127%
Legend WonLostDraw
1990s 1993 TestDateOpponentVenue11993-02-14010Raeburn Place, Edinburgh
1994 Test Date Opponent Venue Tournament 2 0 5 Ravenhill, Belfast 3 0 31 West of Scotland RFC1994 Rugby World Cup 4 0 76 Boroughmuir1994 Rugby World Cup 5 3 10 Melrose1994 Rugby World Cup 6 11 3 Boroughmuir1994 Rugby World Cup
1995 Test Date Opponent Venue 7 3 20 Myreside, Edinburgh 8 10 39 Dublin
1996 Test Date Opponent Venue Tournament 9 0 21 Blackrock1996 Home Nations Championship 10 22 6 Old Belvedere R.F.C., Dublin1996 Home Nations Championship 11 8 12 Sunbury1996 Home Nations Championship
1997 Test Date Opponent Venue Tournament 12 5 32 Bridgend1997 Home Nations Championship 13 0 32 Limerick1997 Home Nations Championship 14 3 28 Pennypit, Edinburgh1997 Home Nations Championship 15 0 27 Nice, France1997 FIRA Championship 16 5 13 Nice, France1997 FIRA Championship 17 16 0 Nice, France1997 FIRA Championship 18 32 6 Hamburg
1998 Test Date Opponent Venue Tournament 19 0 15 Old Belvedere, Dublin1998 Home Nations Championship 20 10 27 Old Crescent RFC, Rosbrien1998 Home Nations Championship 21 8 62 Worcester1998 Home Nations Championship 22 0 21 Amsterdam1998 Rugby World Cup 23 6 12 Amsterdam1998 Rugby World Cup 24 21 18 Amsterdam1998 Rugby World Cup 25 20 5 Amsterdam1998 Rugby World Cup 26 10 26 Amsterdam1998 Rugby World Cup
1999 Test Date Opponent Venue Tournament 27 0 24 Dublin1999 Five Nations 28 0 26 Stradey Park1999 Five Nations 29 0 56 Dublin1999 Five Nations 30 5 22 Inverleith, Edinburgh1999 Five Nations
2000s
2000 Test Date Opponent Venue Tournament 31 14 41 El Ejido, Spain2000 FIRA Championship 32 15 31 Vera, Spain2000 FIRA Championship 33 19 12 El Ejido, Spain2000 FIRA Championship
2001 Test Date Opponent Venue Tournament 34 0 42 Madrid 35 0 53 Dublin 36 9 45 Marquette-lez-Lille, France2001 FIRA Championship 37 10 15 Lille, France2001 FIRA Championship 38 9 8 Lille, France2001 FIRA Championship 39 15 0 Amsterdam
2002 Test Date Opponent Venue Tournament 40 5 13 Thormond Park, Limerick2002 Six Nations 41 0 79 Worcester2002 Six Nations 42 0 13 Limerick2002 Six Nations 43 6 8 Limerick2002 Six Nations 44 0 46 Melun2002 Six Nations 45 0 57 Barcelona2002 Rugby World Cup 46 0 22 Barcelona2002 Rugby World Cup 47 18 0 Barcelona2002 Rugby World Cup 48 0 18 Barcelona2002 Rugby World Cup
2003 Test Date Opponent Venue Tournament 49 0 25 Netherdale (Gala)2003 Six Nations 50 16 0 Madrid2003 Six Nations 51 0 20 Limerick2003 Six Nations 52 0 17 Cardiff Arms Park2003 Six Nations 53 3 46 Thomond Park, Limerick2003 Six Nations
2004 Test Date Opponent Venue Tournament 54 5 22 Savigny-sur-Orge, Paris2004 Six Nations 55 13 14 Thomond Park, Limerick2004 Six Nations 56 10 51 Twickenham, London2004 Six Nations 57 7 8 Thomond Park, Limerick2004 Six Nations 58 0 17 Thomond Park, Limerick2004 Six Nations 59 7 24 Toulouse, France2004 FIRA Championship 60 14 5 Toulouse, France2004 FIRA Championship 61 20 12 Toulouse, France2004 FIRA Championship 62 55 0 Donnybrook, Dublin
2005 Test Date Opponent Venue Tournament 63 17 19 Campo Central Ciudad Universitaria, Madrid2005 Six Nations 64 5 15 Murrayfield2005 Six Nations 65 0 32 St Mary's College, Dublin2005 Six Nations 66 0 34 Dublin2005 Six Nations 67 11 6 Cardiff Arms Park2005 Six Nations
2006 Test Date Opponent Venue Tournament 68 5 23 Thomond Park 69 25 10 Donnybrook, Dublin2006 Six Nations 70 0 32 Montauban, Toulouse2006 Six Nations 71 7 14 Donnybrook, Dublin2006 Six Nations 72 0 9 Navan2006 Six Nations 73 10 29 Old Albanians, St Albans2006 Six Nations 74 15 8 Galway 75 0 43 St. Albert Rugby Park, St. Albert2006 Rugby World Cup 76 11 24 Ellerslie Rugby Park, Edmonton2006 Rugby World Cup 77 37 0 St. Albert Rugby Park, St. Albert2006 Rugby World Cup 78 10 11 St. Albert Rugby Park, St. Albert2006 Rugby World Cup 79 14 18 Ellerslie Rugby Park, Edmonton2006 Rugby World Cup
2007 Test Date Opponent Venue Tournament 80 5 10 Taffs Well RFC, Cardiff2007 Six Nations 81 10 13 St Mary's RFC, Dublin2007 Six Nations 82 0 32 Thomond Park, Limerick2007 Six Nations 83 18 6 Meggetland, Edinburgh2007 Six Nations 84 17 12 Tre Fontane, Rome2007 Six Nations
2008 Test Date Opponent Venue Tournament 85 19 0 St Mary's RFC, Dublin2008 Six Nations 86 17 26 St Gratien2008 Six Nations 87 13 3 St Mary's RFC, Dublin2008 Six Nations 88 10 19 St Mary's RFC, Dublin2008 Six Nations 89 7 17 London Irish2008 Six Nations 90 41 7 Amsterdam2008 FIRA Championship 91 11 22 Drachten, Netherlands2008 FIRA Championship 92 22 22 Amsterdam2008 FIRA Championship
2009 Test Date Opponent Venue Tournament 93 7 5 Ashbourne2009 Six Nations 94 35 17 Stadio M.Natali, Colleferro2009 Six Nations 95 29 13 St Mary's RFC, Dublin2009 Six Nations 96 23 0 Meggetland2009 Six Nations 97 10 13 Taffs Well2009 Six Nations
2010s
2010 Test Date Opponent Venue Tournament 98 22 5 Ashbourne, County Meath, Leinster2010 Six Nations 99 9 19 Stade des Allées, Blois, Loir-et-Cher2010 Six Nations 100 5 22 Pillar Data Arena, Esher, Surrey2010 Six Nations 101 18 3 Ashbourne, County Meath, Leinster2010 Six Nations 102 15 3 Ashbourne, County Meath, Leinster2010 Six Nations 103 0 27 Surrey Sports Park, Guildford2010 Rugby World Cup 104 22 12 Surrey Sports Park, Guildford2010 Rugby World Cup 105 37 3 Surrey Sports Park, Guildford2010 Rugby World Cup 106 3 40 Surrey Sports Park, Guildford2010 Rugby World Cup 107 32 8 Surrey Sports Park, Guildford2010 Rugby World Cup
2011 Test Date Opponent Venue Tournament 108 26 5 Rovigo2011 Six Nations 109 12 14 Ashbourne2011 Six Nations 110 22 5 Lasswade2011 Six Nations 111 14 15 Cross Keys RFC2011 Six Nations 112 0 31 Ashbourne2011 Six Nations
2012 Test Date Opponent Venue Tournament 113 10 3Match abandoned after 40 minutes Ashbourne RFC2012 Six Nations 114 7 8 Stade du Hameau, Pau2012 Six Nations 115 40 10 Ashbourne RFC2012 Six Nations 116 36 0Re-match Ashbourne RFC2012 Six Nations 117 20 0 Ashbourne RFC2012 Six Nations 118 6 23 Esher RFC2012 Six Nations
2013 Test Date Opponent Venue Tournament 119 12 10 Aberavon2013 Six Nations 120 25 0 Ashbourne2013 Six Nations 121 30 3 Lasswade2013 Six Nations 122 15 10 Ashbourne2013 Six Nations 123 6 3 Parabiago, Milan2013 Six Nations
2014 Test Date Opponent Venue Tournament 124 59 0 Ashbourne2014 Six Nations 125 18 6 Ashbourne2014 Six Nations 126 10 17 Twickenham2014 Six Nations 127 39 0 Aviva Stadium, Dublin2014 Six Nations 128 15 19 Stade du Hameau, Pau2014 Six Nations 129 23 17 CNR, Marcoussis Pitch 22014 Rugby World Cup 130 17 14 CNR, Marcoussis Pitch 12014 Rugby World Cup 131 40 5 CNR, Marcoussis Pitch 22014 Rugby World Cup 132 7 40 Stade Jean-Bouin, Paris2014 Rugby World Cup 133 18 25 Stade Jean-Bouin, Paris2014 Rugby World Cup
2015 Test Date Opponent Venue Tournament 134 30 5 Florence2015 Six Nations 135 5 10 Ashbourne2015 Six Nations 136 11 8 Ashbourne2015 Six Nations 137 20 0 Swansea2015 Six Nations 138 73 3 Cumbernauld2015 Six Nations 139 3 8 Twickenham Stoop
2016 Test Date Opponent Venue Tournament 140 21 3 Donnybrook Stadium, Dublin2016 Six Nations 141 6 18 Stade Aimé Giral, Perpignan2016 Six Nations 142 9 13 Twickenham Stadium, London2016 Six Nations 143 14 3 Donnybrook Stadium, Dublin2016 Six Nations 144 45 12 Donnybrook Stadium, Dublin2016 Six Nations 145 10 12 UCD Bowl, Dublin, Ireland 146 7 48 UCD Bowl, Dublin, Ireland 147 8 38 UCD Bowl, Dublin, Ireland
2017 Test Date Opponent Venue Tournament 148 22 15 Broadwood, Cumbernauld2017 Six Nations 149 27 3 Stadio Tommaso Fattori, L'Aquila2017 Six Nations 150 13 10 Donnybrook, Dublin2017 Six Nations 151 12 7 Cardiff Arms Park2017 Six Nations 152 7 34 Donnybrook, Dublin2017 Six Nations 153 19 17 UCD Bowl, Dublin2017 Rugby World Cup 154 24 14 UCD Bowl, Dublin2017 Rugby World Cup 155 5 21 UCD Bowl, Dublin2017 Rugby World Cup 156 24 36 Kingspan Stadium, Belfast2017 Rugby World Cup 157 17 27 Kingspan Stadium, Belfast2017 Rugby World Cup
2018 Test Date Opponent Venue Tournament 158 0 24 Stade Ernest-Wallon, Toulouse2018 Six Nations 159 21 8 Donnybrook, Dublin2018 Six Nations 160 35 12 Donnybrook, Dublin2018 Six Nations 161 12 15 Donnybrook, Dublin2018 Six Nations 162 11 33 Ricoh Arena, Coventry2018 Six Nations 163 10 19 Donnybrook, Dublin 164 15 37 Twickenham, London
2019 Test Date Opponent Venue Tournament 165 7 51 Donnybrook, Dublin2019 Six Nations 166 22 5 Scotsoun, Glasgow2019 Six Nations 167 27 29 Stadio Sergio Lanfranchi, Parma2019 Six Nations 168 17 47 Donnybrook, Dublin2019 Six Nations 169 5 24 Cardiff Arms Park2019 Six Nations 170 13 15 Donnybrook, Dublin
2020s
2020 Test Date Opponent Venue Tournament 171 18 14 Donnybrook, Dublin2020 Six Nations 172 31 12 Donnybrook, Dublin2020 Six Nations 173 0 27 Castle Park, Doncaster2020 Six Nations 174 21 7 Donnybrook, Dublin2020 Six Nations
2021 Test Date Opponent Venue Tournament 175 45 0 Cardiff Arms Park2021 Six Nations 176 15 56 Donnybrook, Dublin2021 Six Nations 177 25 5 Donnybrook, Dublin2021 Six Nations 178 7 8 Stadio Sergio Lanfranchi, Parma2021 RWC Qualifier 179 15 7 Stadio Sergio Lanfranchi, Parma2021 RWC Qualifier 180 18 20 Stadio Sergio Lanfranchi, Parma2021 RWC Qualifier 181 20 10 RDS Arena, Dublin 182 15 12 RDS Arena, Dublin
2022 Test Date Opponent Venue Tournament 183 19 27 RDS Arena, Dublin2022 Six Nations 184 5 40 Stade Ernest-Wallon, Toulouse2022 Six Nations 185 29 8 Musgrave Park, Cork2022 Six Nations 186 0 69 Welford Road Stadium, Leicester2022 Six Nations 187 15 14 Kingspan Stadium, Belfast2022 Six Nations 188 57 22 Shizuoka Stadium, Fukuroi2022 Japan Tour 189 10 29 Chichibunomiya Rugby Stadium, Tokyo2022 Japan Tour
2023 Test Date Opponent Venue Tournament 190 5 31 Cardiff Arms Park2023 Six Nations 191 3 53 Musgrave Park, Cork2023 Six Nations 192 7 24 Stadio Sergio Lanfranchi, Parma2023 Six Nations 193 0 48 Musgrave Park, Cork2023 Six Nations 194 10 36 Edinburgh Rugby Stadium, Edinburgh2023 Six Nations 195 109 0 The Sevens Stadium, Dubai2023 WXV 3 196 64 3 The Sevens Stadium, Dubai2023 WXV 3 197 15 13 The Sevens Stadium, Dubai2023 WXV 3
2024 TestDateOpponentVenueEvent19823 March 20241738Stade Marie-Marvingt, Le Mans2024 Six Nations19931 March 20242127RDS Arena, Dublin2024 Six Nations20013 April 2024365Musgrave Park, Cork2024 Six Nations20120 April 20241088Twickenham Stadium, London2024 Six Nations20227 April 20241512Ravenhill Stadium, Belfast2024 Six Nations20314 September 20243610Kingspan Stadium, Belfast204 29 September 20242927BC Place, Vancouver2024 WXV 12055 October 2024821Langley Events Centre, Langley2024 WXV 1206 11 October 20242614BC Place, Vancouver2024 WXV 1
2025
TestDateOpponentVenueEvent20722 March 20251527Ravenhill Stadium, Belfast2025 Six Nations20830 March 20255412Stadio Sergio Lanfranchi, Parma2025 Six Nations20912 April 2025549Musgrave Park, Cork2025 Six Nations21020 April 20254014Rodney Parade, Newport2025 Six Nations21126 April 20251926Edinburgh Rugby Stadium, Edinburgh2025 Six Nations2122 August 20252721Musgrave Park, Cork2025 World Cup Warm-Ups2139 August 20252647Ravenhill Stadium, Belfast2025 World Cup Warm-Ups21424 August 20254214Franklin's Gardens, Northampton2025 World Cup21531 August 20254327Franklin's Gardens, Northampton2025 World Cup2167 September 2025040Brighton & Hove Albion Stadium, Brighton2025 World Cup21714 September 20251318Sandy Park, Exeter2025 World Cup 2026